/**
 * 日志管理接口
 */
import request from '@/utils/request'
// 日志查询
export function getLogList(params) {
  return request({
    url: 'log/list',
    method: 'post',
    params
  })
}
// 日志查询
export function getLogDetail(id) {
  return request({
    url: 'log/detail/' + id,
    method: 'get'
  })
}
// 日志类型查询
export function getLogType() {
  return request({
    url: 'dict/code/logType',
    method: 'get'
  })
}

// 删除日志
export function delLog() {
  return request({
    url: 'log/delLog',
    method: 'post'
  })
}

// 登录日志查询
export function getLoginLogList(params) {
  return request({
    url: 'loginLog/list',
    method: 'get',
    params
  })
}
// 删除日志
export function delLoginLog() {
  return request({
    url: 'loginLog/delLoginLog',
    method: 'post'
  })
}
